Project

General

Profile

Bug #1766

Error with Ecogrid searches for JVM 1.4.2_05 and _06

Added by Dan Higgins about 15 years ago. Updated about 14 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
general
Target version:
Start date:
11/09/2004
Due date:
% Done:

0%

Estimated time:
Bugzilla-Id:
1766

Description

There is an error which occurs on Windows and Macs running JVM 1.4.2_05 and _06.
Error message is shown below. It occurs when searching the ecogrid with an empty
cache. Works OK for 1.4.1_04 and on all versions of Linux

[java] The service type from configure file is EcoGridQueryInterface
[java] The value of serviceName is KU Digir EcoGrid QueryInterface
[java] The value of serviceType is EcoGridQueryInterface
[java] The value of endPoint is http://kuecogrid.ittc.ku.edu:8080/ogsa/serv
ices/org/ecoinformatics/ecogrid/EcoGridQueryInterfaceLevelOneService
[java] The value of namespace is http://digir.net/schema/conceptual/darwin/
full/2001/1.0
[java] The value of label is Darwin Core 1.0
[java] The namespace for this document type is http://digir.net/schema/conc
eptual/darwin/full/2001/1.0
[java] The label for this doucment type is Darwin Core 1.0
[java] The metadata specification class name is org.ecoinformatics.seek.dat
asource.darwincore.DarwinCoreMetaDataSpecification
[java] read service KU Digir EcoGrid QueryInterface from config file to vec
tor
[java] java.lang.IllegalAccessError: tried to access field org.apache.xpath
.compiler.FunctionTable.m_functions from class org.apache.xml.security.Init
[java] at org.apache.xml.security.Init.init(Unknown Source)
[java] at org.globus.ogsa.impl.security.authentication.wssec.WSSecurity
Engine.<clinit>(WSSecurityEngine.java:55)
[java] at org.globus.ogsa.impl.security.authentication.wssec.WSSecurity
ClientHandler.handleResponse(WSSecurityClientHandler.java:51)
[java] at org.apache.axis.handlers.HandlerChainImpl.handleResponse(Hand
lerChainImpl.java:153)
[java] at org.apache.axis.handlers.JAXRPCHandler.invoke(JAXRPCHandler.j
ava:84)
[java] at org.globus.ogsa.utils.JAXRPCHandler.invoke(JAXRPCHandler.java
:16)
[java] at org.apache.axis.strategies.InvocationStrategy.visit(Invocatio
nStrategy.java:71)
[java] at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:150)
[java] at org.apache.axis.SimpleChain.invoke(SimpleChain.java:120)
[java] at org.apache.axis.client.AxisClient.invoke(AxisClient.java:193)
[java]     at org.apache.axis.client.Call.invokeEngine(Call.java:2564)
[java] at org.apache.axis.client.Call.invoke(Call.java:2553)
[java] at org.apache.axis.client.Call.invoke(Call.java:2248)
[java] at org.apache.axis.client.Call.invoke(Call.java:2171)
[java] at org.apache.axis.client.Call.invoke(Call.java:1691)
[java] at org.ecoinformatics.ecogrid.stub.bindings.EcoGridQueryLevelOne
ServiceSOAPBindingStub.get(EcoGridQueryLevelOneServiceSOAPBindingStub.java:846)
[java] at org.ecoinformatics.ecogrid.client.EcogridQueryClient.get(Ecog
ridQueryClient.java:297)
[java] at org.ecoinformatics.seek.datasource.EcogridMetaDataCacheItem.d
oWork(EcogridMetaDataCacheItem.java:90)
[java] at org.ecoinformatics.seek.datasource.DataCacheItem.run(DataCach
eItem.java:482)
[java] at java.lang.Thread.run(Thread.java:534)

History

#1 Updated by Christopher Brooks about 15 years ago

Maybe this is related?

http://www-unix.globus.org/mail_archive/discuss/2004/09/msg00133.html
says

Hi all
I am trying to run a simple grid service but I keep getting the
folowing error stack at the client side. There are no errors on te
server side any help is appreciated
...Mine

Exception in thread "main" java.lang.IllegalAccessError: tried to
access field org.apache.xpath.compiler.FunctionTable.m_functions from
class org.apache.xml.security.Init

This exception is caused by the version of xalan.jar supplied with java
1.4.2_05. A workaround is described here:

http://www-unix.globus.org/mail_archive/discuss/2004/09/msg00017.html

This is a problem specifically with java 1.4.2_05. It looks like a bug has been
filed with the Axis people:

http://issues.apache.org/bugzilla/show_bug.cgi?id=30764

Copying $GLOBUS_LOCATION/lib/xalan.jar to $JAVA_HOME/lib/endorsed/ worked to get

around the problem for me, too. Thanks

#2 Updated by Jing Tao about 15 years ago

Here is the resolution for java 1.4.2_05 and 1.4.2_06
make a dir - $JAVA_HOME\jre\lib\endorsed and copy the xalan.jar from
kepler/lib/jar/apache to the "endorsed" directory. It should work.
The reason seems: SUN packaged a beta of Xalan into the JDK, but the
xml-security package requires a stable version of Xalan (v2.2.0 or later). But I
am still confused why 1.4.2_04 works but 1.4.2_05 and 1.4.2_06 doesn't work.
We need to document kepler for release.

#3 Updated by Jing Tao almost 15 years ago

Dan found we can set endorsed directory as a parameter to pass to JVM. So now we
set ./lib/jar/apache as endorsed dir in build.xml file. User don't need copy
xalan.jar file to java dir now.

#4 Updated by Redmine Admin over 6 years ago

Original Bugzilla ID was 1766

Also available in: Atom PDF